Instructions for using the LINBIT package repository

SUSE Linux Enterprise Server 11


This is the LINBIT package repository for SUSE Linux Enterprise Server (SLES) 11. To add DRBD packages to your configuration, please issue the following command while logged in as root on your SLES 11 system:

  zypper addrepo http://packages.linbit.com/<hash>/yum/<distro>/<component>/<arch> <name>
  # example:
  zypper addrepo http://packages.linbit.com/$NjhiMzI5ZGE5ODkzZTM0MDk5YzdkOGFkNWNiOWM5/yum/sles11-sp3/drbd-8.4/x86_64 DRBD-8.4

... where <hash> must be replaced with the 40-character access hash you received by email when your support contract was enabled, and

<distro> must be one of sles11, sles11-sp1 or sles11-sp2

<component> must be one of drbd-8.3, drbd-8.4 or drbd-proxy-3.1

<arch> is either i386 or x86_64 depending on your system architecture. You will not be able to gain access to the repository if you enter an invalid access hash, or one that is associated with a support contract that has expired.

[Tip]Tip

Your access hash should be visible in your browser's address bar at this time.
If not, try to log in via my.linbit.com or contact Linbit sales or technical support as appropriate.

After you have added the DRBD package source, please refresh all package sources:

zypper refresh

While adding this package source, you will be prompted to accept the LINBIT Package and Repository Signing Key:

New repository or package signing key received:
Key ID: 53B3B037282B6E23
Key Name: LINBIT Package and Repository Signing Key (2009)
Key Fingerprint: 32A746AD3ACFB7EB9A188D1953B3B037282B6E23
Repository: DRBD-8-4

Do you want to reject the key, trust temporarily, or trust always? [R/t/a/?]: a

Please accept this key by pressing A, otherwise you will not be able to verify downloaded repository information for integrity.

Now, you may install the drbd package, and a drbd-km package that matches your running kernel. To do so, issue this command:

zypper install drbd drbd-km-<kernel version>

Alternatively, you may also use the YaST2 Software Management module to install these packages.

Once installed, when new DRBD packages become available, you may update them as any other managed package on your system. To do so, simply issue

zypper update

or, if you want to update just the packages from the DRBD-8-4 repository:

zypper update --repo DRBD-8-4

Just as with package installation, package updates may also be performed using YaST.